Bug 175186 - Timer rectangle is too small
Summary: Timer rectangle is too small
Status: RESOLVED FIXED
Alias: None
Product: ksnapshot
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: Richard Moore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-15 04:04 UTC by Frederik Schwarzer
Modified: 2009-03-08 19:18 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Proposed patch: adjust the widget size to the font width and height using QFontMetrics (962 bytes, patch)
2008-12-31 18:22 UTC, Dario Andres
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frederik Schwarzer 2008-11-15 04:04:22 UTC
Version:            (using Devel)
Installed from:    Compiled sources

The small rectangle, that shows the timer for delayed screenshots, is too small here. The message
"Snapshot will be taken in %1 seconds"
should be displayed but only
"Snapshot will be taken in %1"
is shown.
Comment 1 Dario Andres 2008-12-31 18:22:57 UTC
Created attachment 29787 [details]
Proposed patch: adjust the widget size to the font width and height using QFontMetrics
Comment 2 Frederik Schwarzer 2008-12-31 19:07:03 UTC
Patch tested on current trunk and the result looks good. :)
Comment 3 Dario Andres 2009-03-08 19:16:02 UTC
SVN commit 936956 by darioandres:

Fix timer rectangle size using fontMetrics width/height and translated text lengths
Patch from http://forum.kde.org/kourse-patch-bug-175186-timer-rectangle-too-small-t-22850.html
+ Small fix (margins)

BUG: 175186


 M  +3 -2      snapshottimer.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=936956
Comment 4 Dario Andres 2009-03-08 19:18:25 UTC
SVN commit 936957 by darioandres:

Backport to 4.2branch of:
SVN commit 936956 by darioandres:

Fix timer rectangle size using fontMetrics width/height and translated text lengths
Patch from http://forum.kde.org/kourse-patch-bug-175186-timer-rectangle-too-small-t-22850.html
+ Small fix (margins)

CCBUG: 175186


 M  +3 -2      snapshottimer.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=936957